Commit 64fb735f authored by Cédric Pineau's avatar Cédric Pineau

Display usage info on install, docs polish

parent 247c5123
......@@ -5,13 +5,11 @@ default: build
.PHONY: build
build:
echo "java-package currently supports the following binary packages:" \
> SUPPORTED
echo "java-package currently supports the following binary packages:" > SUPPORTED
echo >> SUPPORTED
echo "(This list is automatically generated, do not edit)" >> SUPPORTED
echo >> SUPPORTED
grep -h "SUPPORTED$$" $(wildcard lib/*-*.sh) | sed 's/"//g;s/).*//' \
>> SUPPORTED
grep -h "SUPPORTED$$" $(wildcard lib/*-*.sh) | sed 's/"//g;s/).*//' >> SUPPORTED
.PHONY: clean
clean:
......
* To be done :
(from Matthias Klose <doko@ubuntu.com>)
- install into a multiarch location to allow installing the i386 client vm on amd64 and ia64.
(else)
- update java-package wiki page : http://wiki.debian.org/JavaPackage?action=edit&editor=text
- make symbolic links for j2se/jre/bin/* in j2se/bin/ to avoid duplication
- make symbolic links for j2se/jre/man/man1/* in j2se/man/man1 to avoid duplication
- make symbolic links for j2se/jre/man/ja_JP.UTF-8 in j2se/man/ja to avoid duplication
- install into a multiarch location to allow installing the i386 client vm on amd64 and ia64 (Matthias Klose <doko@ubuntu.com>)
- ? kinit, klist, and ktab not installed; handling of /etc/krb5.conf not addressed
* Resources :
http://wiki.debian.org/JavaPackage
http://packages.qa.debian.org/j/java-package.html
* Main variables used in the scripts :
......
java-package
------------
This package can be used to install various non-free external Java packages
under Debian.
This package can be used to build Debian packages for various non-free external Java binary distributions.
Please note that Debian recommends the use of openjdk-6-jdk/openjdk-6-jre
or openjdk-7-jdk/openjdk-7-jre.
It includes the 'make-jpkg' command to do this, see 'man make-jpkg' for more
information about generating java packages.
information about building java packages.
Typical usage consists in
- downloading one of the java binary archive listed below
- invoking make-jpkg to build a Debian package from the downloaded archive
- installing the generated package
Supported packages currently include:
* Oracle :
- The J2SE Development Kit (JDK), version 6 (update >= 10), 7
- The J2SE Runtime Environment (JRE), version 6 (update >= 10), 7
- The J2SE API Javadoc, version 6 (update >= 10), 7
Download:
http://www.oracle.com/technetwork/java/javase/downloads
(Choose tar.gz archives, i586 or amd64, do _not_ choose the RPM!)
Supported java binary distributions currently include:
* Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
- The J2SE Development Kit (JDK), version 6 (update >= 10), 7
- The J2SE Runtime Environment (JRE), version 6 (update >= 10), 7
- The J2SE API Javadoc, version 6 (update >= 10), 7
(Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
All other previously supported jvm (Blackdown, IBM, ..) have been removed and
will only be added back on users demand.
......
......@@ -6,6 +6,7 @@ java-package (0.50) UNRELEASED; urgency=low
* Add support for Oracle Java 7
* Add support for .jinfo file (update-java-alternatives tool)
* Use jdk included jre binaries (jdk/jre/bin/*)
* Print usage information on install
-- Cédric Pineau <cedric.pineau@gmail.com> Thu, 22 Dec 2011 11:42:13 +0100
......
......@@ -10,19 +10,20 @@ Standards-Version: 3.9.2
Package: java-package
Architecture: all
Depends: ${misc:Depends}, debhelper, fakeroot, unzip, libx11-6, libasound2
Depends: ${misc:Depends}, debhelper, fakeroot, unzip, libx11-6, libasound2, debconf (>= 0.5) | debconf-2.0
Recommends: dpkg-dev, gcc
Suggests: openjdk-6-jre, openjdk-7-jre
Description: utility for building Java related Debian packages
This package provides the capability to create a Debian package from
a Java distribution by just running make-jpkg <java binary archive file>.
This package provides the capability to build a Debian package from
a Java binary distribution by running make-jpkg <java binary archive file>.
(with archive files downloaded from providers listed below)
.
This program currently works with the following Java Runtime
Environments and Development Kits:
.
* Oracle(TM) 6 Standard Edition
* Oracle(TM) 7 Standard Edition
Supported java binary distributions currently include:
* Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
- The J2SE Development Kit (JDK), version 6 (update >= 10), 7
- The J2SE Runtime Environment (JRE), version 6 (update >= 10), 7
- The J2SE API Javadoc, version 6 (update >= 10), 7
(Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
.
Please note that Debian recommends the use of openjdk-6-jdk/openjdk-6-jre
or openjdk-7-jdk/openjdk-7-jre. java-package will install non-free packages.
......@@ -2,8 +2,9 @@ java-package is based upon the j2se-package application originally
written by Hubert Schmid.
The original source can always be found at:
http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/java-package/?cvsroot=pkg-java
git://git.debian.org/git/pkg-java/java-package.git
Copyright (C) 2011-2012 Cédric Pineau
Copyright (C) 2005 Barry Hawkins
Copyright (C) 2004-2005 Jeroen van Wolffelaar
Copyright (C) 2003 Hubert Schmid
......
#!/bin/sh
set -e
if [ "$1" = "configure" ]
then
. /usr/share/debconf/confmodule
db_input high java-package/postinst-note || true
db_go
fi
exit 0
#!/bin/sh
set -e
if [ "$1" = "purge" ]
then
. /usr/share/debconf/confmodule
db_purge
fi
exit 0
......@@ -26,6 +26,7 @@ install: build
dh_testroot
dh_clean -k
dh_installdirs
dh_installdebconf
install -m 755 make-jpkg.out $(B)/usr/bin/make-jpkg
cp lib/*.sh $(B)/usr/share/java-package/
find $(B) -type d -name .svn | xargs -r rm -r
......
Template: java-package/postinst-note
Type: note
Description: Java-package is now installed - You can invoke make-jpkg to build Java Debian packages
To use it:
1) download one of the java binary archive listed below
2) invoke make-jpkg <archive-file> to build a Debian package from the downloaded archive-
3) install the generated package using dpkg
.
Supported Java binary distributions currently include:
* Oracle :
- The J2SE Development Kit (JDK), version 6 (update >= 10), 7
- The J2SE Runtime Environment (JRE), version 6 (update >= 10), 7
- The J2SE API Javadoc, version 6 (update >= 10), 7
......@@ -67,7 +67,16 @@ print_usage() {
cat << EOF
Usage: $program_name [OPTION]... FILE
$program_name builds Debian packages from Java binary distributions.
$program_name builds a Debian package from the given Java binary distribution FILE
Supported java binary distributions currently include:
* Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
- The J2SE Development Kit (JDK), version 6 (update >= 10), 7
- The J2SE Runtime Environment (JRE), version 6 (update >= 10), 7
- The J2SE API Javadoc, version 6 (update >= 10), 7
(Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
The following options are recognized:
--full-name NAME full name used in the maintainer field of the package
--email EMAIL email address used in the maintainer field of the package
......
......@@ -16,7 +16,7 @@
.\" .sp <n> insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
make-jpkg \- build Debian packages from Java binary distributions
make-jpkg \- builds Debian packages from Java binary distributions
.SH SYNOPSIS
.B make-jpkg
[\fIOPTION\fR]... [\fIFILE\fR]
......@@ -25,11 +25,15 @@ make-jpkg \- build Debian packages from Java binary distributions
.\" \fI<whatever>\fP escape sequences to invode bold face and italics,
.\" respectively.
.PP
\fBmake-jpkg\fP creates a Debian package from the given Java
\fBmake-jpkg\fP builds a Debian package from the given Java
distribution FILE.
This program works currently with the following Java REs, SDKs and APIs archive files:
Oracle(TM) 6 Standard Edition (starting with update 10)
Oracle(TM) 7 Standard Edition
.PP
Supported java binary distributions currently include:
* Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
- The J2SE Development Kit (JDK), version 6 (update >= 10), 7
- The J2SE Runtime Environment (JRE), version 6 (update >= 10), 7
- The J2SE API Javadoc, version 6 (update >= 10), 7
(Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
.PP
The following options are recognized:
.TP
......@@ -57,7 +61,7 @@ and execute
.B make-jpkg
.I file
with the downloaded file. The program asks the user for additional
information and creates a Debian binary package in the current
information and builds a Debian binary package in the current
directory.
.PP
The program requires about 200 MB free disk space in a temporary
......@@ -74,7 +78,7 @@ This generate a Debian package in the current directory, that can be installed u
.IP
dpkg -i oracle-j2sdk1.7_1.7.0+update2_amd64.deb
.PP
When you're done, you can remove initial download as well as generated package:
When you're done, you can delete initial download as well as generated package:
.IP
rm <path_to_download_directory>/jdk-7u2-linux-x64.tar.gz oracle-j2sdk1.7_1.7.0+update2_amd64.deb
.PP
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment